package eu.ruekov.ruakij.LinkedBeaconTeleporters.listener;

import org.bukkit.Material;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.PrepareItemCraftEvent;
import org.bukkit.inventory.CraftingInventory;
import org.bukkit.inventory.InventoryView;
import org.bukkit.inventory.ItemStack;

public class OnPrepareItemCraftEvent implements Listener {

    @EventHandler(priority = EventPriority.LOW)
    public void onPrepareItemCraftEvent(PrepareItemCraftEvent e){

        ItemStack[] matrix = e.getInventory().getMatrix();

        // Check if 2 beacons are in the crafting-slots
        int beaconCount = 0;
        for (ItemStack item : matrix) {
            if(item == null) continue;
            if(item.getType() == Material.BEACON)
                beaconCount++;
        }
        if(beaconCount == 2){
            // Exactly 2 beacons found
            eu.ruekov.ruakij.LinkedBeaconTeleporters.linkedBeaconTeleporter.listener.OnPrepareItemCraftEvent.onPrepareItemCraftEvent(e);
        }
    }
}
